// $Id: fd_imc3_tools.c,v 1.3 2000/02/17 09:00:19 edwin Exp $

/*
 * Copyright (c) 2000 Fatal Dimensions
 * 
 * See the file "LICENSE" or information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 * 
 */

#include <stdio.h>
#include <time.h>
#include "../merc.h"
#include "fd_imc3.h"

#define COUNTER 3
void imc3_printstats(int i) {
    IMC3_MUD *mud;
    IMC3_CHANNEL *channel;
    static counter=-1;

    counter++;

    if (counter%COUNTER==0) {
    printf("messages	: %d (%d unknown)\n",
					IMC3_stats.count_total,
					IMC3_stats.count_unknown);
    printf("private		: %d tells/%d emotes\n",
					IMC3_stats.count_tell,
					IMC3_stats.count_emoteto);
    printf("who		: %d/%d\n",	IMC3_stats.count_who_req,
					IMC3_stats.count_who_reply);
    printf("finger		: %d/%d\n",
					IMC3_stats.count_finger_req,
					IMC3_stats.count_finger_reply);
    printf("locate		: %d/%d\n",
					IMC3_stats.count_locate_req,
					IMC3_stats.count_locate_reply);
    printf("channels	: %d m/%d e/%d t\n",
					IMC3_stats.count_channel_m,
					IMC3_stats.count_channel_e,
					IMC3_stats.count_channel_t);
    printf("		  %d list-reply/%d add/%d remove\n",
					IMC3_stats.count_chanlist_reply,
					IMC3_stats.count_channel_add,
					IMC3_stats.count_channel_remove);
    printf("		  filter %d/%d\n",
					IMC3_stats.count_channel_filter_req,
					IMC3_stats.count_channel_filter_reply);
    printf("		  who %d/%d\n", IMC3_stats.count_channel_who_req,
					IMC3_stats.count_channel_who_reply);
    printf("		  user %d/%d\n",IMC3_stats.count_chan_user_req,
					IMC3_stats.count_chan_user_reply);
    printf("news		: %d read/%d post/%d grplist_req\n",
					IMC3_stats.count_news_read_req,
					IMC3_stats.count_news_post_req,
					IMC3_stats.count_news_grplist_req);
    printf("mail		: %d/%d\n",
					IMC3_stats.count_mail,
					IMC3_stats.count_mail_ack);
    printf("filelist	: %d/%d\n",	IMC3_stats.count_file_list_req,
					IMC3_stats.count_file_list_reply);
    printf("file		: %d put/%d getreq/%d getreply\n",
					IMC3_stats.count_file_put,
					IMC3_stats.count_file_get_req,
					IMC3_stats.count_file_get_reply);
    printf("auth		: %d/%d\n",
					IMC3_stats.count_auth_mud_req,
					IMC3_stats.count_auth_mud_reply);
    printf("startup		: %d/%d\n",
					IMC3_stats.count_startup_req_3,
					IMC3_stats.count_startup_reply);
    printf("oob		: %d req/%d begin/%d end\n",
					IMC3_stats.count_oob_req,
					IMC3_stats.count_oob_begin,
					IMC3_stats.count_oob_end);
    printf("errors		: %d\n",IMC3_stats.count_error);
    printf("mudlist		: %d\n",IMC3_stats.count_mudlist);
    printf("shutdown	: %d\n",	IMC3_stats.count_shutdown);
    printf("ucache		: %d\n",IMC3_stats.count_ucache_update);
    printf("\n");
    }

    if (counter%COUNTER==1) {
	mud=IMC3_mud_list;
	while (mud) {
	    printf("%s\n",mud->name);
	    mud=mud->next;
	}
	printf("\n");
	return;
    }

    if (counter%COUNTER==2) {
	channel=IMC3_channel_list;
	while (channel) {
	    printf("%s @ %s\n",channel->imc3_name,channel->host_mud);
	    channel=channel->next;
	}
	printf("\n");
	return;
    }
}
